Bug 1329 - No utility to manage system services
: No utility to manage system services
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: when fixed upstream
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-24 20:24 MSK by Sylvainsjc
Modified: 2012-12-26 14:34 MSK (History)
6 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvainsjc 2012-12-24 20:24:22 MSK
Description of problem:
There is no utility to enable or disable system services.

From the terminal, we can launch "system-config-services" that offers the possibility to see what is running, start or restart a service, but you can not disable it. Buttons exist but are grayed out.

From the terminal, "drakxservices" does everything we need but is absent from Configuration Center
Comment 1 Denis Koryavov 2012-12-24 20:28:04 MSK
It is strange, system-config-services works well for me.
Comment 2 Aleksandr Kazantcev 2012-12-24 20:48:40 MSK
We need create kcm-drakxservices - planned by missing :(

 drakxservices works fine with system and sysvinit...
Comment 3 Dmitry 2012-12-25 00:42:23 MSK
See kcm_harddrake for example (other kcm modules aren't good examples)
Comment 4 Denis Silakov 2012-12-25 09:12:15 MSK
Advisory:

Added drakxservices wrapper for KDE CC.

Build lists:
https://abf.rosalinux.ru/build_lists/858435
https://abf.rosalinux.ru/build_lists/858436
Comment 5 Vladimir Potapov 2012-12-26 14:28:50 MSK
kcm-drakxservices-1.0-1-rosa2012.1
****************** Advisory *************************
Added drakxservices wrapper for KDE CC.
*****************************************************
QA Verified
Comment 6 Aleksandr Kazantcev 2012-12-26 14:33:21 MSK
We need add kcm-drakxservices to drakconf-kde4 metapackage and update it too...